# org.pdfclown.documents.multimedia.SoftwareIdentifier Class Reference

Software identifier [PDF:1.7:9.1.6]. More...

Inheritance diagram for org.pdfclown.documents.multimedia.SoftwareIdentifier:

List of all members.

## Classes
class | VersionObject
| Software version number [PDF:1.7:9.1.6]. More...
## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
| SoftwareIdentifier (Document context)
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static SoftwareIdentifier | Wrap (PdfDirectObject baseObject)
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
IList< string > | OSes`[get]`
| Gets the operating system identifiers that indicate which operating systems this object applies to.
Uri | URI`[get]`
| Gets the URI that identifies a piece of software.
Interval< VersionObject > | Version`[get]`
| Gets the software version bounds.

##

Software identifier [PDF:1.7:9.1.6].

## Constructor & Destructor Documentation

org.pdfclown.documents.multimedia.SoftwareIdentifier.SoftwareIdentifier | ( | Document | context | ) |

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static SoftwareIdentifier org.pdfclown.documents.multimedia.SoftwareIdentifier.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

IList<string> org.pdfclown.documents.multimedia.SoftwareIdentifier.OSes`[get]`

Gets the operating system identifiers that indicate which operating systems this object applies to.

The defined values are the same as those defined for SMIL 2.0's systemOperatingSystem attribute. An empty list is considered to represent all operating systems.

Uri org.pdfclown.documents.multimedia.SoftwareIdentifier.URI`[get]`

Gets the URI that identifies a piece of software.

It is interpreted according to its scheme; the only presently defined scheme is vnd.adobe.swname. The scheme name is case-insensitive; if is not recognized by the viewer application, the software must be considered a non-match. The syntax of URIs of this scheme is "vnd.adobe.swname:" software_name where software_name is equivalent to reg_name as defined in Internet RFC 2396, Uniform Resource Identifiers (URI): Generic Syntax.

Interval<VersionObject> org.pdfclown.documents.multimedia.SoftwareIdentifier.Version`[get]`

Gets the software version bounds.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.